Delete a compute config
curl --request DELETE \
--url https://api.akua.dev/v1/compute/configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'if-match: <if-match>'import requests
url = "https://api.akua.dev/v1/compute/configs/{id}"
headers = {
"if-match": "<if-match>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'if-match': '<if-match>', Authorization: 'Bearer <token>'}
};
fetch('https://api.akua.dev/v1/compute/configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"type": "InsufficientCapacity",
"message": "cpx31 out of stock in fsn1"
}{
"type": "InsufficientCapacity",
"message": "cpx31 out of stock in fsn1"
}Compute
Delete a compute config
DELETE
/
compute
/
configs
/
{id}
Delete a compute config
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
The etag of the resource version the client last read. Required on writes when the resource exposes an etag field. Mismatch returns 409 ABORTED with the current etag in the error metadata.
Required string length:
1 - 256Example:
"42"
Path Parameters
ComputeConfig ID
Response
Config deleted
⌘I